Subject: Re: bug#46722: test-map-into fails

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Jan 2022 20:07:50 +0200

> Cc: [email-masked], Glenn Morris <[email-masked]>,
>  Lars Ingebrigtsen <[email-masked]>, Stefan Kangas <[email-masked]>,
>  [email-masked]
> Date: Wed, 05 Jan 2022 12:51:09 -0500
> From:  Stefan Monnier via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I think I tracked it down.
> 
> The patch below should fix it.  Boy do I hate side effects!
> Could others confirm that it fixes the problem for them as well?
> 
> Eli, do you think this is appropriate for `emacs-28`?
> OT1H this bug probably has been with us since Emacs-25, but OTOH the
> patch should be very safe.

Is it? how so?  copy-sequence is not a trivial operation, at least not
with arbitrary data structures.  And we nowadays use generics a lot,
so this could potentially affect gobs of code.  So I'd rather we
didn't install this on the release branch.